Topic
IC4NOTICE: developerWorks Community will be offline May 29-30, 2015 while we upgrade to the latest version of IBM Connections. For more information, read our upgrade FAQ.
3 replies Latest Post - ‏2013-03-06T05:07:35Z by rajendrak
SystemAdmin
SystemAdmin
1143 Posts
ACCEPTED ANSWER

Pinned topic Visual Stuido 2012 & IBM IDS 10.0 & IBM Addon for VS 2012

‏2013-03-04T08:50:24Z |
When i try create database connection in Server Explorer in VS 2012 and push Test Connection
Viusal Studio says :
"ERROR 08001 IBM SQL30081N A communication error has been detected. Communic ation protocol being used: "TCP/IP". Communication API being used: "SOCKETS". Location where the error was detected: "192.168.154.128". Communication functio n detecting the error: "recv". Protocol specific error code(s): "", "", "0". SQLSTATE=08001"
anybody resolve this problem ?!
Updated on 2013-03-06T05:07:35Z at 2013-03-06T05:07:35Z by rajendrak
  • rajendrak
    rajendrak
    3 Posts
    ACCEPTED ANSWER

    Re: Visual Stuido 2012 & IBM IDS 10.0 & IBM Addon for VS 2012

    ‏2013-03-04T15:22:05Z  in response to SystemAdmin
    Hi,

    1) Since you have mentioned IDS 10.0, would like to re-iterate that you would need IDS 11.10 or above to use the DB2.NET provider.
    Ref: http://publib.boulder.ibm.com/infocenter/db2luw/v10r1/topic/com.ibm.swg.im.dbclient.adonet.doc/doc/c0010471.html

    2) You might also want to read thru more information on this @ http://www.ibm.com/developerworks/data/library/techarticle/dm-1007dsnetids/index.html
    However, please note that going forward it is recommended to use the DB2.NET provider only. The Common IDS.NET provider is deprecated.
    Ref: http://publib.boulder.ibm.com/infocenter/db2luw/v10r1/topic/com.ibm.db2.luw.wn.doc/doc/i0060894.html

    Let us know if you need any further help/guidance.

    Regards,
    Raj
  • SystemAdmin
    SystemAdmin
    1143 Posts
    ACCEPTED ANSWER

    Re: Visual Stuido 2012 & IBM IDS 10.0 & IBM Addon for VS 2012

    ‏2013-03-05T11:51:19Z  in response to SystemAdmin
    If I use IDS 11.70 over odbc(Informix Driver 3.7 64 bit) do you need to start DRDI,cdotnet.sql on IDS 11.70 ?!
    • rajendrak
      rajendrak
      3 Posts
      ACCEPTED ANSWER

      Re: Visual Stuido 2012 & IBM IDS 10.0 & IBM Addon for VS 2012

      ‏2013-03-06T05:07:35Z  in response to SystemAdmin
      If you are using the ODBC driver/API from the Informix-CSDK suite, you would not need to configure IDS for DRDA (I assume you meant DRDA in the below email). Also, cdotnet.sql is needed to be run if you would be using the Informix CSDK.NET provider.

      Regards,
      Raj